# ``twisted`.`_threads`.`_memory`.`MemoryWorker``

class documentation

`class MemoryWorker: (source)`

Implements interfaces: `twisted._threads.IWorker`

View In Hierarchy

An `IWorker` that queues work for later performance.

Method | `__init__` | Create a `MemoryWorker`.
Method | `do` | Queue some work for to perform later; see `createMemoryWorker`.
Method | `quit` | Quit this worker.
Instance Variable | `_pending` | Undocumented
Instance Variable | `_quit` | a flag indicating

def __init__(self, pending=list): (source)
Create a `MemoryWorker`.
def do(self, work): (source)
from `twisted._threads.IWorker`
Queue some work for to perform later; see `createMemoryWorker`.

Parameters
work | The work to perform.

def quit(self): (source)
from `twisted._threads.IWorker`
Quit this worker.
_pending = (source)

Undocumented

_quit: `Quit` = (source)
a flag indicating